# Connect to source and destination data

{% hint style="info" %}
Included in the Basic API.
{% endhint %}

## Connect to the source database

To configure the connection to the source database for the workspace, use:

[<mark style="background-color:orange;">**PUT**</mark>**&#x20;/api/DataSource/source\_db**](https://app.tonic.ai/apidocs/index.html#/DataSource/UpdateSourceConnectionInfo)

You specify the data connector type, and provide the required connection details for that data connector type.

## Connect to the destination database

Before you can run data generation, you must configure the connection to the destination database. To do this, use:

[ <mark style="background-color:orange;">**PUT**</mark> **/api/DataSource/destination\_db**](https://app.tonic.ai/apidocs/index.html#/DataSource/UpdateDestinationConnectionInfo)

The destination database must use the same data connector type as the source database. You provide the required connection details based on the data connector type.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tonic.ai/app/api/quick-start-guide/tonic-api-data-connections.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
